Debian Bug report logs - #75275
highscore list formatted improperly with scores >99999

version graph

Package: moon-buggy; Maintainer for moon-buggy is Christian T. Steigies <cts@debian.org>; Source for moon-buggy is src:moon-buggy.

Reported by: Robert Woodcock <rcw@debian.org>

Date: Sat, 21 Oct 2000 06:03:22 UTC

Severity: normal

Found in version 0.5.1-2

Fixed in version moon-buggy/0.5.50-1

Done: cts@debian.org (Christian T. Steigies)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, cts@debian.org (Christian T. Steigies):
Bug#75275; Package moon-buggy. Full text and rfc822 format available.

Acknowledgement sent to Robert Woodcock <rcw@debian.org>:
New Bug report received and forwarded. Copy sent to cts@debian.org (Christian T. Steigies). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Woodcock <rcw@debian.org>
To: submit@bugs.debian.org
Subject: highscore list formatted improperly with scores >99999
Date: Fri, 20 Oct 2000 22:30:21 -0700
Package: moon-buggy
Version: 0.5.1-2

Moon-buggy does not format the highscore list properly when the score is
more than 5 digits:

     rank   score lvl     date  expires  name

       1    232659 8    2000-10-20  --   Robert Woodcock,,,
       2    15800 8    2000-10-19  --   Robert Woodcock,,,
       3    13926 8    2000-10-20  --   Robert Woodcock,,,

The patch to handle up to 9 digits is simple:

--- moon-buggy-0.5.1/highscore.c.orig	Sat May  6 08:52:28 2000
+++ moon-buggy-0.5.1/highscore.c	Fri Oct 20 22:27:07 2000
@@ -521,7 +521,7 @@
     format_display_date (date, highscore[i].date);
     dt = difftime (expire_date (i, highscore[i].date), now);
     format_relative_time (expire, dt);
-    printf ("%3d    %5u %-3d  %s %s  %." quote(MAX_NAME_CHARS) "s\n",
+    printf ("%3d%9u %-3d  %s %s  %." quote(MAX_NAME_CHARS) "s\n",
 	    i+1, highscore[i].score, highscore[i].level, date, expire,
 	    highscore[i].name);
   }
@@ -582,7 +582,7 @@
     format_relative_time (expire, dt);
     if (highscore[i].new)  wstandout (moon);
     mvwprintw (moon, line++, 5,
-	       "%3d    %5u %-3d  %s %s  %." quote(MAX_NAME_CHARS) "s\n",
+	       "%3d%9u %-3d  %s %s  %." quote(MAX_NAME_CHARS) "s\n",
 	       i+1, highscore[i].score, highscore[i].level, date, expire,
 	       highscore[i].name);
     if (highscore[i].new)  wstandend (moon);

-- 
Robert Woodcock - rcw@debian.org
"Sometimes your mental health may depend on just sitting there for a bit,
listening to the cheerful sound of the deadlines whooshing over your head."
  -- Melvin Tocherelli, a stress management counselor



Information forwarded to debian-bugs-dist@lists.debian.org, cts@debian.org (Christian T. Steigies):
Bug#75275; Package moon-buggy. Full text and rfc822 format available.

Acknowledgement sent to "Christian T. Steigies" <cts@debian.org>:
Extra info received and forwarded to list. Copy sent to cts@debian.org (Christian T. Steigies). Full text and rfc822 format available.

Message #10 received at 75275@bugs.debian.org (full text, mbox):

From: "Christian T. Steigies" <cts@debian.org>
To: Robert Woodcock <rcw@debian.org>, 75275@bugs.debian.org
Cc: moon-buggy <cts-moon-buggy@debian.org>
Subject: Re: Bug#75275: highscore list formatted improperly with scores >99999
Date: Sun, 22 Oct 2000 14:37:29 +0200
Moin,
On Fri, Oct 20, 2000 at 10:30:21PM -0700, Robert Woodcock wrote:
> Package: moon-buggy
> Version: 0.5.1-2
> 
> Moon-buggy does not format the highscore list properly when the score is
> more than 5 digits:
> 
>      rank   score lvl     date  expires  name
> 
>        1    232659 8    2000-10-20  --   Robert Woodcock,,,
>        2    15800 8    2000-10-19  --   Robert Woodcock,,,
>        3    13926 8    2000-10-20  --   Robert Woodcock,,,
You are not telling me you actually achieved a 6-digit highscore in
moon-buggy? _And_ you reached level 8? Wichert said there are only 7 levels.
Did you inform wiggy and elmo about your highscores?
JOCHEN, is this possible?

Anyway, I think its save to include your patch, if I should ever make a
successful upload again...

> The patch to handle up to 9 digits is simple:
> 
> --- moon-buggy-0.5.1/highscore.c.orig	Sat May  6 08:52:28 2000
> +++ moon-buggy-0.5.1/highscore.c	Fri Oct 20 22:27:07 2000
> @@ -521,7 +521,7 @@
>      format_display_date (date, highscore[i].date);
>      dt = difftime (expire_date (i, highscore[i].date), now);
>      format_relative_time (expire, dt);
> -    printf ("%3d    %5u %-3d  %s %s  %." quote(MAX_NAME_CHARS) "s\n",
> +    printf ("%3d%9u %-3d  %s %s  %." quote(MAX_NAME_CHARS) "s\n",
>  	    i+1, highscore[i].score, highscore[i].level, date, expire,
>  	    highscore[i].name);
>    }
> @@ -582,7 +582,7 @@
>      format_relative_time (expire, dt);
>      if (highscore[i].new)  wstandout (moon);
>      mvwprintw (moon, line++, 5,
> -	       "%3d    %5u %-3d  %s %s  %." quote(MAX_NAME_CHARS) "s\n",
> +	       "%3d%9u %-3d  %s %s  %." quote(MAX_NAME_CHARS) "s\n",
>  	       i+1, highscore[i].score, highscore[i].level, date, expire,
>  	       highscore[i].name);
>      if (highscore[i].new)  wstandend (moon);
> 
> -- 
> Robert Woodcock - rcw@debian.org
> "Sometimes your mental health may depend on just sitting there for a bit,
> listening to the cheerful sound of the deadlines whooshing over your head."
>   -- Melvin Tocherelli, a stress management counselor
> 

Thanks,
Christian



Information forwarded to debian-bugs-dist@lists.debian.org, cts@debian.org (Christian T. Steigies):
Bug#75275; Package moon-buggy. Full text and rfc822 format available.

Acknowledgement sent to Robert Woodcock <rcw@debian.org>:
Extra info received and forwarded to list. Copy sent to cts@debian.org (Christian T. Steigies). Full text and rfc822 format available.

Message #15 received at 75275@bugs.debian.org (full text, mbox):

From: Robert Woodcock <rcw@debian.org>
To: "Christian T. Steigies" <cts@debian.org>
Cc: 75275@bugs.debian.org, moon-buggy <cts-moon-buggy@debian.org>
Subject: Re: Bug#75275: highscore list formatted improperly with scores >99999
Date: Sun, 22 Oct 2000 09:43:42 -0700
On Sun, Oct 22, 2000 at 02:37:29PM +0200, Christian T. Steigies wrote:
> Moin,
> On Fri, Oct 20, 2000 at 10:30:21PM -0700, Robert Woodcock wrote:
> > Package: moon-buggy
> > Version: 0.5.1-2
> > 
> > Moon-buggy does not format the highscore list properly when the score is
> > more than 5 digits:
> > 
> >      rank   score lvl     date  expires  name
> > 
> >        1    232659 8    2000-10-20  --   Robert Woodcock,,,
> >        2    15800 8    2000-10-19  --   Robert Woodcock,,,
> >        3    13926 8    2000-10-20  --   Robert Woodcock,,,
> You are not telling me you actually achieved a 6-digit highscore in
> moon-buggy? _And_ you reached level 8? Wichert said there are only 7 levels.
> Did you inform wiggy and elmo about your highscores?
> JOCHEN, is this possible?
> 
> Anyway, I think its save to include your patch, if I should ever make a
> successful upload again...

It was achieved, however, not by a human :)

See http://ora.lly.org/~rcw/moonbuggy/. Makes a nice screensaver.

There is indeed a level 8 and I've reached it previously without any "help".
The source says it's level_fin (it never ends).

FWIW it takes about two days to hit a million points.
-- 
Robert Woodcock - rcw@debian.org
"The Internet would be very orderly without the people."
	-- Esther Dyson, Board Chairman, ICANN



Information forwarded to debian-bugs-dist@lists.debian.org, cts@debian.org (Christian T. Steigies):
Bug#75275; Package moon-buggy. Full text and rfc822 format available.

Acknowledgement sent to "Christian T. Steigies" <cts@debian.org>:
Extra info received and forwarded to list. Copy sent to cts@debian.org (Christian T. Steigies). Full text and rfc822 format available.

Message #20 received at 75275@bugs.debian.org (full text, mbox):

From: "Christian T. Steigies" <cts@debian.org>
To: Robert Woodcock <rcw@debian.org>
Cc: 75275@bugs.debian.org, moon-buggy <cts-moon-buggy@debian.org>
Subject: Re: Bug#75275: highscore list formatted improperly with scores >99999
Date: Mon, 23 Oct 2000 10:41:13 +0200
On Sun, Oct 22, 2000 at 09:43:42AM -0700, Robert Woodcock wrote:
> 
> It was achieved, however, not by a human :)
The robots are infected as well? Now see what you did, Jochen ;-)

> See http://ora.lly.org/~rcw/moonbuggy/. Makes a nice screensaver.
did not work for me... doesnt jump, doenst work in X?

New packages at
 auric.debian.org/~cts/moon-buggy/
I have a small problem with the debian changelog still, will upload that,
when I know how to fix it. Time to close all the bugs...

Christian



Reply sent to cts@debian.org (Christian T. Steigies):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Robert Woodcock <rcw@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #25 received at 75275-close@bugs.debian.org (full text, mbox):

From: cts@debian.org (Christian T. Steigies)
To: 75275-close@bugs.debian.org
Subject: Bug#75275: fixed in moon-buggy 0.5.50-1
Date: Mon, 30 Oct 2000 14:53:40 -0500
We believe that the bug you reported is fixed in the latest version of
moon-buggy, which has been installed in the Debian FTP archive:
moon-buggy_0.5.50-1_i386.deb
  to dists/woody/main/binary-i386/games/moon-buggy_0.5.50-1.deb
  replacing moon-buggy_0.5.1-2.deb
moon-buggy-esd_0.5.50-1_i386.deb
  to dists/woody/main/binary-i386/games/moon-buggy-esd_0.5.50-1.deb
moon-buggy_0.5.50.orig.tar.gz
  to dists/woody/main/source/games/moon-buggy_0.5.50.orig.tar.gz
  replacing moon-buggy_0.5.1.orig.tar.gz
moon-buggy_0.5.50-1.diff.gz
  to dists/woody/main/source/games/moon-buggy_0.5.50-1.diff.gz
  replacing moon-buggy_0.5.1-2.diff.gz
moon-buggy_0.5.50-1.dsc
  to dists/woody/main/source/games/moon-buggy_0.5.50-1.dsc
  replacing moon-buggy_0.5.1-2.dsc

Note that this package is not part of the released stable Debian
distribution.  It may have dependencies on other unreleased software,
or other instabilities.  Please take care if you wish to install it.
The update will eventually make its way into the next released Debian
distribution.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 75275@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian T. Steigies <cts@debian.org> (supplier of updated moon-buggy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.6
Date: Thu, 26 Oct 2000 00:09:47 +0200
Source: moon-buggy
Binary: moon-buggy-esd moon-buggy
Architecture: source i386
Version: 0.5.50-1
Distribution: unstable
Urgency: low
Maintainer: Christian T. Steigies <cts@debian.org>
Description: 
 moon-buggy - Drive some car across the moon
 moon-buggy-esd - Drive some car across the moon (version with sound)
Closes: 74744 74925 75275
Changes: 
 moon-buggy (0.5.50-1) unstable; urgency=low
 .
   * new upstream version, maint-buggy is gone (closes: #74925)
   * experimental(!) sound in separate moon-buggy-esd package (closes: #74744)
     both packages are built from one source, something missing?
   * patch for highscores in the millions, now also robots have been infected
     (closes: #75275)
   * changed maintainer-address, so that the author can share the heat
Files: 
 76f28f1600687ed41fcf9f449ea23e6c 692 games optional moon-buggy_0.5.50-1.dsc
 6bdd741ad43617e6deb4194d32da6194 217507 games optional moon-buggy_0.5.50.orig.tar.gz
 a9115ed52db0603bbb88aa4e493fbc5e 4107 games optional moon-buggy_0.5.50-1.diff.gz
 ffff9801b3663989aa8917ea168f5350 53304 games optional moon-buggy_0.5.50-1_i386.deb
 b3b1303ccc3f9a1e8d81f2801e80e471 60414 games optional moon-buggy-esd_0.5.50-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.1 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE591vphWcuXd2lEoARApSaAKCqM9+nVRDI1MACPoBnYP+aXaAyigCdExG6
o3wndpvZBdubESQuVMUTSVU=
=bdEC
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 14:23:19 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.